package com.sunxung.factoring.entity.project.vo;

/**
 * <p>
 * 实际控制人
 * </p>
 *
 * @author liutao
 * @since 2023-11-21
 */
public class CActualControllerList {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 实际控制人名称
     */
    private String name;

    /**
     * 最终受益股份
     */
    private String finalBenefitPercent;

    /**
     * 表决权
     */
    private String controlPercent;

    /**
     * 是否实际控制人（0：疑似实际控制人，1：实际控制人）
     */
    private String actual;

    /**
     * 综合风险排查信息表id
     */
    private Long comprehensiveRiskInvestigationId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getFinalBenefitPercent() {
        return finalBenefitPercent;
    }

    public void setFinalBenefitPercent(String finalBenefitPercent) {
        this.finalBenefitPercent = finalBenefitPercent;
    }
    public String getControlPercent() {
        return controlPercent;
    }

    public void setControlPercent(String controlPercent) {
        this.controlPercent = controlPercent;
    }
    public String getActual() {
        return actual;
    }

    public void setActual(String actual) {
        this.actual = actual;
    }
    public Long getComprehensiveRiskInvestigationId() {
        return comprehensiveRiskInvestigationId;
    }

    public void setComprehensiveRiskInvestigationId(Long comprehensiveRiskInvestigationId) {
        this.comprehensiveRiskInvestigationId = comprehensiveRiskInvestigationId;
    }

    @Override
    public String toString() {
        return "CActualControllerList{" +
            "name=" + name +
            ", finalBenefitPercent=" + finalBenefitPercent +
            ", controlPercent=" + controlPercent +
            ", actual=" + actual +
            ", comprehensiveRiskInvestigationId=" + comprehensiveRiskInvestigationId +
        "}";
    }
}
